This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 3.6. __nv_asin

Prototype:

    double @__nv_asin(double %x)

Description:

Calculate the principal value of the arc sine of the input argument `x`.

Returns:

Result will be in radians, in the interval [- π /2, + π /2] for `x` inside [-1, +1].

- __nv_asin(0) returns +0.

- __nv_asin(`x`) returns NaN for `x` outside [-1, +1].

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 7.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes